/********************************************************************************
********************************************************************************/

#ifndef LNDATEDIALOG_H
#define LNDATEDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

//QT_BEGIN_NAMESPACE

class LnDateDialog : public QDialog
{
  Q_OBJECT

public:
  LnDateDialog();
  
public slots:
    virtual int getYear();
    virtual double getTzone();

    virtual void setParams( int year, double tzone );
  
private:  
    QLabel *textLabel1;
    QLabel *yearLabel;
    QLineEdit *yearEdit;
    QPushButton *cancelButton;
    QPushButton *okButton;
    QLineEdit *tzoneEdit;
    QLabel *tzoneLabel;

};

#endif // LNDATEDIALOG_H
