/********************************************************************************
********************************************************************************/

#ifndef LNDAYDIALOG_H
#define LNDAYDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QTextEdit>

//QT_BEGIN_NAMESPACE

class LnDayDialog : public QDialog
{
  Q_OBJECT

public:
  LnDayDialog();
  
public slots:
    virtual void setParams( int year, int month, int day, int fz );
    virtual void getParams( int & year, int & month, int & day );

    virtual void refreshSlot();


  
private:
    QPushButton *refreshButton;
    QPushButton *closeButton;
    QTextEdit *detailEdit;
    QLabel *textLabel1;
    QLineEdit *yearEdit;
    QLabel *textLabel2;
    QLineEdit *monthEdit;
    QLabel *textLabel3;
    QLineEdit *dayEdit;

};

#endif // LNDAYDIALOG_H
