/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "lnholidaydlg.h"

LnHolidayDialog::LnHolidayDialog()
{
        setObjectName(QString::fromUtf8("LnHolidayDialog"));
        resize(589, 438);
        textEdit1 = new QTextEdit(this);
        textEdit1->setObjectName(QString::fromUtf8("textEdit1"));
        textEdit1->setGeometry(QRect(20, 31, 551, 351));
        QSizePolicy sizePolicy(QSizePolicy::Fixed, QSizePolicy::Fixed);
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(textEdit1->sizePolicy().hasHeightForWidth());
        textEdit1->setSizePolicy(sizePolicy);
        textEdit1->setMinimumSize(QSize(520, 340));
        textEdit1->setReadOnly(true);
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(510, 390, 55, 29));
        okButton->setDefault(true);
        QWidget::setTabOrder(okButton, textEdit1);

        QObject::connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));

        setWindowTitle(QApplication::translate("LnHolidayDialog", "Cultural and Religious Holidays", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("LnHolidayDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("LnHolidayDialog", "Alt+O", 0, QApplication::UnicodeUTF8));

};

void LnHolidayDialog::setHolidayLine( QString s )
{
 if (s == "$$$") textEdit1->moveCursor(QTextCursor::Start,QTextCursor::MoveAnchor);
 else textEdit1->insertPlainText(s);
}

