/********************************************************************************
********************************************************************************/

#ifndef LNSOLARDIALOG_H
#define LNSOLARDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>

//QT_BEGIN_NAMESPACE

class LnSolarDialog : public QDialog
{
  Q_OBJECT

public:
  LnSolarDialog();

public slots:
    virtual void setParams( double spaz, double spel, double speff, int spm1, int spm2 );
    virtual void getParams( double & spaz, double & spel, double & speff, int & spm1, int & spm2 );

private:
    QPushButton *okButton;
    QPushButton *cancelButton;
    QLabel *textLabel1;
    QLineEdit *azimuthEdit;
    QLabel *textLabel2;
    QLineEdit *elevationEdit;
    QLabel *textLabel3;
    QLineEdit *efficiencyEdit;
    QLabel *textLabel4;
    QLineEdit *month1Edit;
    QLabel *textLabel5;
    QLineEdit *month2Edit;

};

#endif // LNSOLARDIALOG_H
