/********************************************************************************
********************************************************************************/

#ifndef LNTTUTDIALOG_H
#define LNTTUTDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>

//QT_BEGIN_NAMESPACE

class LnTtutDialog : public QDialog
{
  Q_OBJECT

public:
  LnTtutDialog();

public slots:
    virtual double getDelut();
    virtual bool getDelauto();
    virtual void setDelut();
    virtual void setParams( double delut, double autout, bool delauto );

private:
    QCheckBox *checkBox1;
    QLabel *textLabel1;
    QLineEdit *delTtutEdit1;
    QPushButton *okButton;
    QPushButton *cancelButton;

};

#endif // LNTTUTDIALOG_H
