/********************************************************************************
********************************************************************************/

#include <QtGui>

#include "lnecldialog.h"

LnEclDialog::LnEclDialog()
{
        setObjectName(QString::fromUtf8("LnEclDialog"));
        resize(591, 477);
        eclEdit = new QTextEdit(this);
        eclEdit->setObjectName(QString::fromUtf8("eclEdit"));
        eclEdit->setGeometry(QRect(20, 20, 551, 400));
        eclEdit->setMinimumSize(QSize(540, 400));
        eclEdit->setReadOnly(true);
        closeButton = new QPushButton(this);
        closeButton->setObjectName(QString::fromUtf8("closeButton"));
        closeButton->setGeometry(QRect(480, 430, 80, 29));
        closeButton->setDefault(true);
        QWidget::setTabOrder(closeButton, eclEdit);

        connect(closeButton, SIGNAL(clicked()), this, SLOT(accept()));

        setWindowTitle(QApplication::translate("LnEclDialog", "Eclipse Details", 0, QApplication::UnicodeUTF8));
        closeButton->setText(QApplication::translate("LnEclDialog", "&Close", 0, QApplication::UnicodeUTF8));
        closeButton->setShortcut(QApplication::translate("LnEclDialog", "Alt+C", 0, QApplication::UnicodeUTF8));

};

void LnEclDialog::getParams( const QString s, const int fz )
{
  qreal rs;
  rs = fz;
  eclEdit->setFontPointSize(rs);

  eclEdit->insertPlainText(s);
  eclEdit->moveCursor(QTextCursor::Start,QTextCursor::MoveAnchor);  
}

