/********************************************************************************
********************************************************************************/

#include <QtGui>
#include "lnyeardialog.h"

LnYearDialog::LnYearDialog()
{
        setObjectName(QString::fromUtf8("LnYearDialog"));
        resize(556, 400);
        totEdit = new QTextEdit(this);
        totEdit->setObjectName(QString::fromUtf8("totEdit"));
        totEdit->setGeometry(QRect(20, 10, 511, 331));
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(437, 350, 90, 29));
        okButton->setDefault(true);
        QWidget::setTabOrder(okButton, totEdit);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));

        setWindowTitle(QApplication::translate("LnYearDialog", "Yearly Totals", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("LnYearDialog", "&Close", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("LnYearDialog", "Alt+C", 0, QApplication::UnicodeUTF8));

};

void LnYearDialog::setParams( QString & s3, int fntsz )
{
 qreal rs;
 rs = fntsz;

 totEdit->setFontPointSize(rs); 
 totEdit->setText(s3);
}

