/********************************************************************************
********************************************************************************/

#include <QtGui>
#include "lunquickdlg.h"

LunQuickDialog::LunQuickDialog()
{
        setObjectName(QString::fromUtf8("StQuickDialog"));
        resize(557, 403);
        textEdit1 = new QTextEdit(this);
        textEdit1->setObjectName(QString::fromUtf8("textEdit1"));
        textEdit1->setGeometry(QRect(10, 10, 530, 340));
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(textEdit1->sizePolicy().hasHeightForWidth());
        textEdit1->setSizePolicy(sizePolicy);
        textEdit1->setMinimumSize(QSize(520, 340));
        textEdit1->setReadOnly(true);
        okButton = new QPushButton(this);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setGeometry(QRect(490, 360, 55, 29));
        okButton->setDefault(true);
        QWidget::setTabOrder(okButton, textEdit1);

        connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));

        setWindowTitle(QApplication::translate("LunQuickDialog", "Quick Help", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("LunQuickDialog", "&OK", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("LunQuickDialog", "Alt+O", 0, QApplication::UnicodeUTF8));

};

void LunQuickDialog::setHelpLine( QString s )
{
 if (s == "$$$") textEdit1->moveCursor(QTextCursor::Start,QTextCursor::MoveAnchor);
 else textEdit1->insertPlainText(s);
}

