#if !defined(__nolocal_h)
#define __nolocal_h

/***********************************************************************
   Definitions of functions to convert floating point numbers 
   without having to care about local particularites like
   using a comma instead of a decimal dot.

   These functions only use dots.

   License: GNU LGPL Version 2+

   Author: Gerhard HOLTKAMP               26-JUN-2012
 ***********************************************************************/
 
 double Atof (char* buff);
 void decdot (char* ntx);
 void decdot0 (char* ntx);
 int Fscanf (FILE* fsfl, int numv, double *vard);

#endif         // __nolocal_h sentry.


